Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezimagecatalogue/admin/unassigned.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZImageCatalogueMain", "Language" )
| $ImageDir = $ini->variable( "eZImageCatalogueMain", "ImageDir" )
| $t
| $user =& eZUser::currentUser()
| $imageList =& eZImage::getUnassigned( $Offset, $Limit )
else | $imageCount = 0
| $i = 0
| $counter = 0
if(!is_null( $imageList) &&count( $imageList) > 0) | else
| $category = new eZImageCategory()
| $categoryList =& $category->getTree( )

## Variable Documentation

## ◆ $category

$category = new eZImageCategory()

Definition at line 203 of file ezimagecatalogue/admin/unassigned.php.

## ◆ $categoryList

$categoryList =& $category->getTree( )

Definition at line 204 of file ezimagecatalogue/admin/unassigned.php.

## ◆ $counter

$counter = 0

Definition at line 105 of file ezimagecatalogue/admin/unassigned.php.

## ◆ $i

$i = 0

Definition at line 104 of file ezimagecatalogue/admin/unassigned.php.

## ◆ $imageCount

else $imageCount = 0

Definition at line 102 of file ezimagecatalogue/admin/unassigned.php.

## ◆ $ImageDir

$ImageDir = $ini->variable( "eZImageCatalogueMain", "ImageDir" )

Definition at line 42 of file ezimagecatalogue/admin/unassigned.php.

## ◆ $imageList

$imageList =& eZImage::getUnassigned( $Offset, $Limit )

Definition at line 96 of file ezimagecatalogue/admin/unassigned.php.

Referenced by eZArticle\delete().

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 40 of file ezimagecatalogue/admin/unassigned.php.

## ◆ $Language

$Language = $ini->variable( "eZImageCatalogueMain", "Language" )

Definition at line 41 of file ezimagecatalogue/admin/unassigned.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezimagecatalogue/admin/" . $ini->variable( "eZImageCatalogueMain", "AdminTemplateDir" ),
"kernel/ezimagecatalogue/admin/intl/", $Language, "unassigned.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: ezimagecatalogue/admin/unassigned.php:41
$ini
$ini
Definition: ezimagecatalogue/admin/unassigned.php:40

Definition at line 44 of file ezimagecatalogue/admin/unassigned.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 51 of file ezimagecatalogue/admin/unassigned.php.

## ◆ else

if (!is_null($imageList) &&count($imageList) > 0) else

Initial value:
{
$t->set_var( "normal_button", "" )
$t
$t
Definition: ezimagecatalogue/admin/unassigned.php:44

Definition at line 196 of file ezimagecatalogue/admin/unassigned.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.